Foreman - Refactor #33690

Refactor ToastsList to use slice pattern
10/13/2021 01:52 PM - Tomer Brisker

Status: Closed
Priority: Normal
Assignee: Tomer Brisker
Category: JavaScript stack
Target version:
Difficulty: Fixed in Releases: 3.1.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/8840,
https://github.com/theforeman/foreman/p
ull/8860
Description

Right now the ToastsList component has logic scattered around in multiple places. We can refactor it to use the slice pattern and
clean up a lot of boilerplate.

Related issues:

Related to foreman-tasks - Bug #34065: Stop using deprecated redux toast actions Closed
Related to OpenSCAP - Refactor #34069: Stop using deprecated redux toast actions Closed
Related to Katello - Refactor #34071: Stop using deprecated redux toast actions Closed

Associated revisions

Revision 3300679a - 10/20/2021 10:39 AM - Tomer Brisker

Fixes #33690 - Unify toast notification logic in one component

Instead of having the actions and reducers separate from the actual
component, this refactor leverages the slice pattern to unify all of the
logic and remove a lot of boilerplate.

Revision cf0540dd - 10/20/2021 11:46 AM - Tomer Brisker

Refs #33690 - replace uuid with nanoid for toast key

History

#1 - 10/13/2021 02:36 PM - The Foreman Bot
- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8840 added

#2 - 10/20/2021 10:39 AM - The Foreman Bot
- Fixed in Releases 3.1.0 added

#3 - 10/20/2021 10:59 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/8860 added

#4 - 10/20/2021 11:01 AM - Tomer Brisker

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|3300679a78101844f026acea66c91081278f2942.

#5 - 12/02/2021 10:54 AM - Tomer Brisker

- Related to Bug #34065: Stop using deprecated redux toast actions added
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/3300679a78101844f026acea66c91081278f2942

#6 - 12/02/2021 12:45 PM - Oleh Fedorenko
- Related to Refactor #34069: Stop using deprecated redux toast actions added

#7 - 12/02/2021 01:27 PM - Oleh Fedorenko
- Related to Refactor #34071: Stop using deprecated redux toast actions added
